Page MenuHomePhabricator

[Task] Remove formatter fallback from OutputFormatValueFormatterFactory
Closed, ResolvedPublic

Description

Drop magic escaping logic from OutputFormatValueFormatterFactory.

Factory callbacks defined via DataTypeDefinitions are now required
directly to provide formatters for all output formats. This allows
us to drop some rather convoluted magic for escaping from the
factory. Magic that would have to be repeated in OutputFormatSnakFormatterFactory
in order to allow it to also use factory callbacks from DataTypeDefinitions.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Jonas assigned this task to daniel.
Jonas raised the priority of this task from to Medium.
Jonas updated the task description. (Show Details)
Jonas added a subscriber: Jonas.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 30 2015, 3:57 PM
Jonas moved this task from Done to Review on the Wikidata-Sprint-2015-11-17 board.

Change 254064 had a related patch set uploaded (by Jonas Kress (WMDE)):
Drop magic escaping logic from OutputFormatValueFormatterFactory.

https://gerrit.wikimedia.org/r/254064

Jonas renamed this task from [Task] Remove formatter failback form OutputFormatValueFormatterFactory to [Task] Remove formatter fallback from OutputFormatValueFormatterFactory.Dec 1 2015, 3:09 PM
Lydia_Pintscher moved this task from incoming to in progress on the Wikidata board.Dec 3 2015, 3:39 PM

Change 258432 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Fix all issues from Daniels SnakFormatter refactoring

https://gerrit.wikimedia.org/r/258432

Change 254064 merged by jenkins-bot:
Drop magic escaping logic from OutputFormatValueFormatterFactory.

https://gerrit.wikimedia.org/r/254064

Change 258432 merged by jenkins-bot:
Fix all issues from Daniels SnakFormatter refactoring

https://gerrit.wikimedia.org/r/258432

daniel closed this task as Resolved.Dec 18 2015, 3:45 PM
daniel moved this task from Doing to Done on the Wikidata-Sprint-2015-12-01 board.Dec 18 2015, 3:53 PM